Class: Google::Apis::BigqueryconnectionV1beta1::GetPolicyOptions

Inherits:
Object
  • Object
show all
Includes:
Core::Hashable, Core::JsonObjectSupport
Defined in:
generated/google/apis/bigqueryconnection_v1beta1/classes.rb,
generated/google/apis/bigqueryconnection_v1beta1/representations.rb,
generated/google/apis/bigqueryconnection_v1beta1/representations.rb

Overview

Encapsulates settings provided to GetIamPolicy.

Instance Attribute Summary collapse

Instance Method Summary collapse

Methods included from Core::JsonObjectSupport

#to_json

Methods included from Core::Hashable

process_value, #to_h

Constructor Details

#initialize(**args) ⇒ GetPolicyOptions

Returns a new instance of GetPolicyOptions.



481
482
483
# File 'generated/google/apis/bigqueryconnection_v1beta1/classes.rb', line 481

def initialize(**args)
   update!(**args)
end

Instance Attribute Details

#requested_policy_versionFixnum

Optional. The policy format version to be returned. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional bindings must specify version 3. Policies without any conditional bindings may specify any valid value or leave the field unset. To learn which resources support conditions in their IAM policies, see the IAM documentation. Corresponds to the JSON property requestedPolicyVersion

Returns:

  • (Fixnum)


479
480
481
# File 'generated/google/apis/bigqueryconnection_v1beta1/classes.rb', line 479

def requested_policy_version
  @requested_policy_version
end

Instance Method Details

#update!(**args) ⇒ Object

Update properties of this object



486
487
488
# File 'generated/google/apis/bigqueryconnection_v1beta1/classes.rb', line 486

def update!(**args)
  @requested_policy_version = args[:requested_policy_version] if args.key?(:requested_policy_version)
end